For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tools
      • GETGet tool
      • POSTCreate tool
      • PATCHUpdate tool
      • DELDelete tool
      • GETGet dependent agents
      • GETGet tool executions
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTools

Get dependent agents

GET
/v1/convai/tools/:tool_id/dependent-agents
GET
/v1/convai/tools/:tool_id/dependent-agents
$curl https://api.elevenlabs.io/v1/convai/tools/tool_id/dependent-agents
1{
2 "agents": [
3 {
4 "type": "available",
5 "access_level": "admin",
6 "created_at_unix_secs": 1,
7 "id": "string",
8 "name": "string",
9 "referenced_resource_ids": [
10 "string"
11 ]
12 }
13 ],
14 "has_more": true,
15 "branches": [
16 {
17 "agent_id": "string",
18 "agent_name": "string",
19 "branch_id": "string",
20 "branch_name": "string",
21 "is_main": true
22 }
23 ],
24 "next_cursor": "string"
25}
Get a list of agents depending on this tool
Was this page helpful?
Previous

Get tool executions

Next
Built with

Path parameters

tool_idstringRequired
ID of the requested tool.

Headers

xi-api-keystringOptional

Query parameters

cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.
page_sizeintegerOptional1-100Defaults to 30
How many documents to return at maximum. Can not exceed 100, defaults to 30.

Response

Successful Response
agentslist of objects
has_moreboolean
brancheslist of objects
next_cursorstring or null

Errors

422
Unprocessable Entity Error